package ar.edu.unju.fi.poo.manager;

import java.util.ArrayList;
import java.util.List;

import ar.edu.unju.fi.poo.dominio.Producto;

/**
 * Esta clase se encarga de gestionar la lista
 * de objetos del tipo Producto
 * @author Jos
 * @since 24/08/2021
 * @version 1.0
 *
 */
public class ProductoManager {
	private static List<Producto> listaProductos = new ArrayList<Producto>();

	/**
	 * Devuelve la lista de productos inicializada...
	 * @return
	 */
	public static List<Producto> generarProductos(){
		listaProductos.add(new Producto("Televisor", 80000d));
		listaProductos.add(new Producto("Computadora", 90000.0));
		listaProductos.add(new Producto("Celular", 100000.0));
		return listaProductos;
	}
	
	/**
	 * Muestra la lista de Productos 
	 */
	public static void mostrarProductos() {		
		for(Producto p: listaProductos) {
			System.out.println(p);
		}
	}
	
}	
